# MCP Tools Reference: Android Device Management MCP Server

## Tool: `get_web_app`

Gets a web app. Requires the resource name in the format: enterprises/{enterpriseId}/webApps/{webAppId}.

The following sample demonstrate how to use `curl` to invoke the `get_web_app` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://androidmanagement.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_web_app", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request to get a web app.

### GetWebAppRequest

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the web app in the form `enterprises/{enterpriseId}/webApps/{packageName}`. |

## Output Schema

A web app.

### WebApp

| JSON representation |
|---|
| ``` { "name": string, "title": string, "startUrl": string, "icons": [ { object (`https://developers.google.com/android/management/reference/mcp/get_web_app#Output.Schema.WebAppIcon`) } ], "displayMode": enum (`DisplayMode`), "versionCode": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the web app, which is generated by the server during creation in the form `enterprises/{enterpriseId}/webApps/{packageName}`. |
| `title` | `string` The title of the web app as displayed to the user (e.g., amongst a list of other applications, or as a label for an icon). |
| `startUrl` | `string` The start URL, i.e. the URL that should load when the user opens the application. |
| `icons[]` | ``object (`https://developers.google.com/android/management/reference/mcp/get_web_app#Output.Schema.WebAppIcon`)`` A list of icons for the web app. Must have at least one element. |
| `displayMode` | ``enum (`DisplayMode`)`` The display mode of the web app. |
| `versionCode` | `string (https://developers.google.com/discovery/v1/type-format format)` The current version of the app. Note that the version can automatically increase during the lifetime of the web app, while Google does internal housekeeping to keep the web app up-to-date. |

### WebAppIcon

| JSON representation |
|---|
| ``` { "imageData": string } ``` |

| Fields ||
|---|---|
| `imageData` | `string` The actual bytes of the image in a base64url encoded string (c.f. RFC4648, section 5 "Base 64 Encoding with URL and Filename Safe Alphabet"). - The image type can be png or jpg. - The image should ideally be square. - The image should ideally have a size of 512x512. <br /> |

### Tool Annotations

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌